Bluetooth, bluez o bluez4?

Problemi e suggerimenti legati al software e ai pacchetti problematici.
Rispondi
Avatar utente
ozlacs
Novello Arciere
Messaggi: 121
Iscritto il: 21 dicembre 2011, 18:02
Architettura: x86_64 (64bit)
Località: prov. CZ

Bluetooth, bluez o bluez4?

Messaggio da ozlacs » 7 agosto 2013, 9:56

Sono alle prese con un sistema fresco d'installazione, devo attivare il bluetooth.
Quando vado per installare bluez, mi dice che va in conflitto con bluez4, che a quanto pare è già installato in quanto dipendenza di gnome-bluetooth.
Difatti se gli dico di sostituire bluez4 con bluez mi dice che ovviamente non è possibile perchè il 4 è richiesto da gnome-bluetooth.
Come mi devo comportare? Mantengo il 4?
Phenom II X4 965 BE | M5A99FX PRO R2.0 | 2x4GB Crucial Ballistix 1866 | R9 270x 2GB
SB Audigy 2 ZS | 840 Pro 256GB | LG GH22NS40 | Dell U2412M | Brother DCP-7065DN | Arch Linux x64 - 10 Pro x64

Fregtux
Novello Arciere
Messaggi: 63
Iscritto il: 1 agosto 2013, 10:26
Architettura: x86_64 (64bit)

Re: Bluetooth, bluez o bluez4?

Messaggio da Fregtux » 7 agosto 2013, 11:47

Situazione analoga, però con kde: anche qui installando il gestore del bluetooth bluedevil c'è conflitto fra bluez e bluez4. Andando a vedere fra i pacchetti di Arch, nella descrizione di bluez4 c'è scritto che è deprecato, quindi sarebbe necessario per il bluetooth utilizzare bluez, che però come detto contrasta con bluez4 richiesto dai vari gestori per i vari DE. E' lo stesso wiki per il bluetooth che afferma questo conflitto e che è necessario aggiornare la guida.

Mi accodo quindi alla tua richiesta :)
ASUS P8P67 EVO | i7-2600k |RAM 16GB DDR 3 Vengeance@1600MHz | AMD 7950 Sapphire Dual-X | SSD: Samsung 830 250GB | HD: Western Digital Caviar Blue 1TB

Avatar utente
TheSaint
Robin Hood
Messaggi: 7864
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Bluetooth, bluez o bluez4?

Messaggio da TheSaint » 24 ottobre 2013, 12:20

Anch' io, situazione KDE-bluez. Dopo diversi mesi non si è trovata una soluzione?
F the saint
13 anni da questo forum ;)

Fregtux
Novello Arciere
Messaggi: 63
Iscritto il: 1 agosto 2013, 10:26
Architettura: x86_64 (64bit)

Re: Bluetooth, bluez o bluez4?

Messaggio da Fregtux » 24 ottobre 2013, 15:27

Ho visto che da diversi giorni è in testing bluedevil 2, che richiede bluez (e non bluez4) come dipendenza, cosa che dovrebbe risolvere i problemi detti, però non l'ho provato.
ASUS P8P67 EVO | i7-2600k |RAM 16GB DDR 3 Vengeance@1600MHz | AMD 7950 Sapphire Dual-X | SSD: Samsung 830 250GB | HD: Western Digital Caviar Blue 1TB

Avatar utente
TheSaint
Robin Hood
Messaggi: 7864
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Bluetooth, bluez o bluez4?

Messaggio da TheSaint » 24 ottobre 2013, 21:05

Io son riuscito a riutilizzare bluedevil, ma tornando a bluez4.
Aspettiamo che arrivi la nuova versione.
F the saint
13 anni da questo forum ;)

fabioamd87
Arciere Provetto
Messaggi: 390
Iscritto il: 4 novembre 2007, 23:33
Località: Cassino
Contatta:

Re: Bluetooth, bluez o bluez4?

Messaggio da fabioamd87 » 30 ottobre 2013, 17:04

Gnome 3.10 dovrebbe supportare bluez 5: http://worldofgnome.org/gnome-3-10-port-to-bluez-5/

Avatar utente
ozlacs
Novello Arciere
Messaggi: 121
Iscritto il: 21 dicembre 2011, 18:02
Architettura: x86_64 (64bit)
Località: prov. CZ

Re: Bluetooth, bluez o bluez4?

Messaggio da ozlacs » 31 ottobre 2013, 8:58

peccato che non funzioni, o perlomeno a me non funziona.
oltre al fatto che si autodisabiliti e che sia sparita l'icona (come quella di rete)
Phenom II X4 965 BE | M5A99FX PRO R2.0 | 2x4GB Crucial Ballistix 1866 | R9 270x 2GB
SB Audigy 2 ZS | 840 Pro 256GB | LG GH22NS40 | Dell U2412M | Brother DCP-7065DN | Arch Linux x64 - 10 Pro x64

Avatar utente
Archie
Novello Arciere
Messaggi: 128
Iscritto il: 15 marzo 2013, 13:53

Re: Bluetooth, bluez o bluez4?

Messaggio da Archie » 5 novembre 2013, 23:38

Ciao, mi unisco a questa discussione invece di aprirne un'altra.

Sono incappato qui perche stavo cercando informazioni su bluez e bluez4.

Stavo aggiornando e mi compare questo conflitto (vedi output):

Codice: Seleziona tutto

Aggiornamento del sistema in corso...
attenzione: plank: la versione installata (811-1) è più recente di quella presente in community (0.4.0-2)
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...
:: bluez e bluez4 vanno in conflitto. Vuoi rimuovere bluez4? [s/N]
a rispondere Si continua l'aggiornamento ma poi di fatto non mi installa nessuno dei pacchetti da aggiornare.
a rispondere No non aggiorno nulla

devo rimuovere manualmente il pacchetto in conflitto??
Scusate ma forse mi sto perdendo in un bicchiere d'acqua ma ho paura di fare qualche danno

p.s. non uso gnome, ma xfce4

Avatar utente
TheSaint
Robin Hood
Messaggi: 7864
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: Bluetooth, bluez o bluez4?

Messaggio da TheSaint » 6 novembre 2013, 20:45

Per i pacchetti che vogliono bluez4 dovrai aspettare che si risolva con la compatibilità a bluez. Quindi la scelta sarebbe di eliminare quei pacchetti che vogliono bluez4 se la maggioranza vuole bluez o viceversa.
F the saint
13 anni da questo forum ;)

Avatar utente
Archie
Novello Arciere
Messaggi: 128
Iscritto il: 15 marzo 2013, 13:53

Re: Bluetooth, bluez o bluez4?

Messaggio da Archie » 13 novembre 2013, 4:33

scusa il ritardo ma ho giornate intense
grazie della dritta, ma come faccio a sapere con certezza quali e quanti pacchetti dipendono da uno o dall'altro ??


ad esempio postando questo output come posso capire??

Codice: Seleziona tutto

$ pactree bluez4
bluez4
├─dbus
│ ├─expat
│ │ └─glibc
│ │   ├─linux-api-headers
│ │   ├─tzdata
│ │   └─filesystem
│ │     └─iana-etc
│ ├─coreutils
│ │ ├─glibc
│ │ ├─pam
│ │ │ ├─glibc
│ │ │ ├─db
│ │ │ │ ├─gcc-libs
│ │ │ │ │ └─glibc
│ │ │ │ └─bash provides sh
│ │ │ │   ├─readline
│ │ │ │   │ ├─glibc
│ │ │ │   │ └─ncurses
│ │ │ │   │   └─glibc
│ │ │ │   └─glibc
│ │ │ ├─cracklib
│ │ │ │ ├─glibc
│ │ │ │ └─zlib
│ │ │ │   └─glibc
│ │ │ ├─libtirpc
│ │ │ │ └─libgssglue
│ │ │ │   └─glibc
│ │ │ └─pambase
│ │ ├─acl
│ │ │ └─attr
│ │ │   └─glibc
│ │ ├─gmp
│ │ │ ├─gcc-libs
│ │ │ └─bash provides sh
│ │ └─libcap
│ │   ├─glibc
│ │   └─attr
│ └─filesystem
└─bluez-utils
  └─systemd
    ├─acl
    ├─bash
    ├─dbus provides dbus-core
    ├─glib2
    │ ├─pcre
    │ │ └─gcc-libs
    │ └─libffi
    │   └─glibc
    ├─kbd
    │ ├─glibc
    │ └─pam
    ├─kmod
    │ ├─glibc
    │ └─zlib
    ├─hwids
    ├─libcap
    ├─libgcrypt
    │ └─libgpg-error
    │   ├─glibc
    │   └─bash provides sh
    ├─pam
    ├─util-linux
    │ ├─pam
    │ ├─shadow
    │ │ ├─bash
    │ │ ├─pam
    │ │ └─acl
    │ ├─coreutils
    │ └─glibc
    └─xz
      └─bash provides sh


fabioamd87
Arciere Provetto
Messaggi: 390
Iscritto il: 4 novembre 2007, 23:33
Località: Cassino
Contatta:

Re: Bluetooth, bluez o bluez4?

Messaggio da fabioamd87 » 13 novembre 2013, 10:16

puoi provare con l'opzione -r

oppure per avere delle info su un singolo pacchetto dai pacman -Qi nomepacchetto.

Avatar utente
Archie
Novello Arciere
Messaggi: 128
Iscritto il: 15 marzo 2013, 13:53

Re: Bluetooth, bluez o bluez4?

Messaggio da Archie » 13 novembre 2013, 14:43

grazie fabio :)

in effetti dopo che ho postato ho trovato e provato l'opzione -r cioè (scrivo nel caso serva ad altri) il comando

Codice: Seleziona tutto

pactree -r NOME_PACCHETTO]
poi piano piano io ho risolto...
spiegando il mio caso (sempre nella speranza che possa servire a qualcuno in futuro)

con il reverse del comando pactree sul pac bluez mi dava pacchetto non installato su bluez4 (vedi output)

Codice: Seleziona tutto

$ pactree -r bluez4
bluez4
└─blueman
a quel punto tentando di rimuovere il solo bluez4 non lo rimuoveva perchè dipendenza diretta e necessaria a blueman
quindi sono andato per vie molto decisioniste :)

Codice: Seleziona tutto

pacman -Rs blueman
a questo punto ho continuato con l'aggiornamento ma avevo altro conflitto generato dal pacchetto

Codice: Seleziona tutto

libdbusmenu
non rimuovibile perchè dipendenza diretta e necessaria di plank
quindi anche qui giu di manganello

Codice: Seleziona tutto

# pacman -Rs plank 
controllo delle dipendenze in corso...

Pacchetti (6): bamf-0.5.0-2  libdbusmenu-glib-12.10.2-3
               libdbusmenu-gtk3-12.10.2-3  libgee06-0.6.8-1  libwnck3-3.4.7-1
               plank-0.4.0-2

Dimensione totale dei pacchetti rimossi:   5,64 MiB

:: Vuoi rimuovere questi pacchetti? [S/n] 
una volta rimosso questo conflitto eseguito il mio aggiornamento completo e reistallato sia blueman sia plank

Codice: Seleziona tutto

# pacman -S blueman
# pacman -S plank
ora sono a posto e ho risolto

Ma.....
ora la domanda banale per molti ma devo capire e approfondire
gentilmente qualche saggio, potrebbe motivarmi la causa e natura del mio conflitto?
Come posso aver generato il conflitto di avere un pack più aggiornato di quello che cè in community??

Rispondi